### Function

# ECal util_email_addresses_equal

since: 3.50

#### Declaration [src]

    gboolean
    e_cal_util_email_addresses_equal (
      const gchar* email1,
      const gchar* email2
    )

#### Description [src]

Compares two email addresses and returns whether they are equal. Each address can contain a “mailto:” prefix. The two addresses match only if they are non-NULL and non-empty. The address itself is compared case insensitively.

Available since: 3.50

#### Parameters

`email1`

  Type: `const gchar*`

  The first email.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`email2`

  Type: `const gchar*`

  The second email.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, when the `email1` equals to `email2`.